Rails [求助] establish_connection': Please install the oracle_enhanced adapter

heimirror · 2013年04月26日 · 最后由 heimirror 回复于 2013年04月28日 · 3771 次阅读

在 ubuntu 下搭开发环境,环境搭起来了,我用的是 rubymine 5.0 在命令行启动项目 (ruby script/console)没有任何问题 但是用 rubymine 启动项目会报错 /home/bruce/.rvm/gems/[email protected]/gems/activerecord-2.3.8/lib/active_record/connection_adapters/abstract/connection_specification.rb:76:in establish_connection': Please install the oracle_enhanced adapter:gem install activerecord-oracle_enhanced-adapter(ERROR: ActiveRecord oracle_enhanced adapter could not load ruby-oci8 library. Please install ruby-oci8 gem.) (RuntimeError) from /home/bruce/.rvm/gems/[email protected]/gems/activerecord-2.3.8/lib/active_record/connection_adapters/abstract/connection_specification.rb:60:inestablish_connection' from /home/bruce/.rvm/gems/[email protected]/gems/activerecord-2.3.8/lib/active_record/connection_adapters/abstract/connection_specification.rb:55:in establish_connection' from /home/bruce/.rvm/gems/[email protected]/gems/rails-2.3.8/lib/initializer.rb:438:ininitialize_database' from /home/bruce/.rvm/gems/[email protected]/gems/rails-2.3.8/lib/initializer.rb:141:in process' from /home/bruce/.rvm/gems/[email protected]/gems/rails-2.3.8/lib/initializer.rb:113:insend' from /home/bruce/.rvm/gems/[email protected]/gems/rails-2.3.8/lib/initializer.rb:113:in `run' from /home/bruce/rails_projects/guanxi-git/config/environment.rb:19

不知道哪里配置的不对,请各位大虾帮忙看看,tks

提示里有:gem install activerecord-oracle_enhanced-adapter

#1 楼 @chenge 已经解决了,不是这里的问题,那个 gem 已经安装了 安装了最新版的 ruby-oci8 问题就没有了

需要 登录 后方可回复, 如果你还没有账号请 注册新账号